Package org.eclipse.cdt.utils.debug.tools

# Class DebugAddr2line

java.lang.Object
org.eclipse.cdt.utils.debug.tools.DebugAddr2line

public class DebugAddr2line extends Object
StabsAddr2ine

## Constructor Summary

Constructors
Constructor
Description
`DebugAddr2line(String file)`
`DebugAddr2line(Elf elf)`

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
`int`
`getEndLine(long address)`
`String`
`getFileName(long address)`
`String`
`getFunction(long address)`
`int`
`getStartLine(long address)`
`static void`
`main(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DebugAddr2line

public DebugAddr2line(String file) throws IOException

Throws:
  `IOException`

### DebugAddr2line

public DebugAddr2line(Elf elf) throws IOException

Throws:
  `IOException`

## Method Details

### dispose

public void dispose()

### getStartLine

public int getStartLine(long address) throws IOException

Throws:
  `IOException`

### getEndLine

public int getEndLine(long address) throws IOException

Throws:
  `IOException`

### getFunction

public String getFunction(long address) throws IOException

Throws:
  `IOException`

### getFileName

public String getFileName(long address) throws IOException

Throws:
  `IOException`

### main

public static void main(String[] args)